Bug 1126688 - gcc: memory corruption issues in libstdc++ C++ regex library
Summary: gcc: memory corruption issues in libstdc++ C++ regex library
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1126692
Blocks: 1126694
TreeView+ depends on / blocked
 
Reported: 2014-08-05 05:37 UTC by Murray McAllister
Modified: 2019-09-29 13:20 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-21 16:45:12 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-08-05 05:37:01 UTC
Maksymilian Arciemowicz reported memory corruption issues in the libstdc++ C++ regex library. If an attacker were able to make an application using this library process a specially-crafted regular expression, it could cause the application to crash or, potentially, execute arbitrary code.

Original report:

http://seclists.org/fulldisclosure/2014/Aug/1

Upstream bug:

https://gcc.gnu.org/bugzilla/show_bug.cgi?id=61582

Currently on Fedora, this requires compiling the affected program with the experimental ISO C++ 2011 support by using the "-std=c++11" option.

Comment 1 Murray McAllister 2014-08-05 05:39:50 UTC
Created gcc tracking bugs for this issue:

Affects: fedora-all [bug 1126692]

Comment 2 Murray McAllister 2014-08-05 05:51:14 UTC
CVE request: http://www.openwall.com/lists/oss-security/2014/08/05/4

Comment 3 Murray McAllister 2014-08-07 07:55:25 UTC
As pointed out by Rich Felker, this is not a flaw in the "ISO C++ 2011 regex library" specification, but rather a GCC/libstdc++ bug:

http://www.openwall.com/lists/oss-security/2014/08/05/11


Note You need to log in before you can comment on or make changes to this bug.